/*
Read a bunch of ints from an ASCII file.

Orion Sky Lawlor, olawlor@acm.org, 2006/03/24 (Public Domain)
*/
#include <iostream>
#include <fstream>

int main() {
	int i,nInts=1000000;
	// Prepare array
	int *arr=new int[nInts];
	
	// Read array from file
	std::ifstream s("out_bin.dat");
	if (!s) {std::cout<<"Can't open input file!\n";return 1;}
	s.read((char *)&arr[0],sizeof(int)*nInts);
	
	// Do something with array
	int sum=0;
	for (i=0;i<nInts;i++) sum+=arr[i];
	printf("arr[0]=%d; Sum of all ints is %d\n",arr[0],sum);
	delete[] arr;
	return 0;
}
