/*
Write a bunch of ints to a big-endian output file.

Orion Sky Lawlor, olawlor@acm.org, 2006/03/24 (Public Domain)
*/
#include <iostream>
#include <fstream>

int main() {
	int i,nInts=1000000;
	// Prepare array
	int *arr=new int[nInts];
	for (i=0;i<nInts;i++) arr[i]=1+i;
	
	// Write array to file
	std::ofstream s("out_bin_be.dat");
	
	for (i=0;i<nInts;i++) {
		char c[4];
		c[0]=arr[i]>>24; /* High byte */
		c[1]=arr[i]>>16;
		c[2]=arr[i]>>8;
		c[3]=arr[i]>>0; /* Low byte */
		s.write(c,4);
	}
	
	delete[] arr;
	return 0;
}
